SCAN(1L)

NAME
scan - a batch type program to scan images using a Microtek MS300A scanner.

SYNOPSIS
scan [ -b brightness ] [ -c contrast ] [ -d data transfer mode ] [ -f x1 y1 x2 y2 ] [ -g grain ] [ -m mode ] [ -p picname ] [ -r resolution ] [ -s speed ] [ -t ttyport ] [ -v ]

DESCRIPTION
Scan is the program called by scantool to allow a user to scan a document using a Microtek MS300A scanner, and turn the resulting image into a Sun rasterfile. This program could actually be run on it's own, or through a frontend shell script, but there are a plethora of command line options that need to be passed to the program, so it is probably easier to run it automatically using scantool.

Scan can exit with a variety of different status values, a non zero value indicating an error of some kind. There error values are:

1   Cannot open the tty port.

2   Cannot open the temporary image file.

3   Cannot open raster header file.

4   Scanner not responding aborting this scan.

5   Invalid command line argument.

100 + 0xnn
    Scanning error 0xnn was received from the scanner. This scan is aborted.

200 + n
    The scan program received signal n

OPTIONS

-b brightness
    Brightness value. There are 14 brightness values to choose from, ranging from 1 (-24% darker) to 14 (+28% lighter).

-c contrast
    Contrast value. There are 14 contrast values to choose from, ranging from 1 (-24% lower) to 14 (+28% higher).

-d data transfer method
    Data transfer method. This is the form in which data is transfer between the scanner and the Sun. Currently this option can take two value; 0 is uncompressed and 1 (the default) is compressed.

-f x1 y1 x2 y2
    Scanning frame. The frame is the area to be scanned. This option needs the two coordinate pairs; the top left of the scanning frame, and the bottom right. These values are expressed in 1/8" increments.

-g grain
    Grain value. There are twelve levels of grain to choose from, ranging from 0 (grain size: 8x8, grey levels: 33) to 11 (grain size: 2x2, grey levels 5).

-m mode
    The scanner can operate in two modes; line art mode (value 0; the default) and halftone mode (value 1).

-p picname
    Output picture name. This is the name of the file which will contain the scaned image in Sun rasterfile output format. By default, the name of the file in NoName.rf.

-r resolution
    Resolution value. There are 16 resolution values to choose from, ranging from 0 (300 dpi, scale full size) to 15 (75 dpi, scale 25%).

-s speed
    Speed of the serial connection between the scanner and the Sun. A value of 0 is 960 baud. A value of 1 (the default) is 1920 baud.

-t tty port
    This is the tty port to use. By default this is the Sun's A port (value 0). It is also possibly to use the Sun's B port (value 1).

-v  Version number of this release of the scan program. The third number is the current patch level.

FILES

/usr/local/lib/scantool/black.codes

/usr/local/lib/scantool/white.codes

AUTHOR
Rich Burridge, Domain: richb@Aus.Sun.COM
PHONE: +61 2 413 2666   Path: {uunet,mcvax,ukc}!munnari!sunaus.oz!richb